"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var FieldErrorComponent = (function () {
    function FieldErrorComponent(group, form) {
        this.group = group;
        this.form = form;
    }
    Object.defineProperty(FieldErrorComponent.prototype, "fieldName", {
        get: function () {
            return this._fieldName;
        },
        set: function (value) {
            if (this._fieldName !== value) {
                this._fieldName = value;
                this.fieldNameChanged();
            }
        },
        enumerable: true,
        configurable: true
    });
    FieldErrorComponent.prototype.fieldNameChanged = function () {
        if (!this.fieldName) {
            return;
        }
        if (this.group) {
            this.field = this.group.control.get(this.fieldName);
        }
        else if (this.form) {
            this.field = this.form.control.get(this.fieldName);
        }
    };
    FieldErrorComponent.prototype.ngOnInit = function () {
        this.fieldNameChanged();
    };
    FieldErrorComponent.decorators = [
        { type: core_1.Component, args: [{
                    selector: 'ui-field-error',
                    template: require('././field-error.component.html'),
                    styles: [require('././field-error.component.scss')],
                },] },
    ];
    /** @nocollapse */
    FieldErrorComponent.ctorParameters = function () { return [
        { type: forms_1.FormGroupName, decorators: [{ type: core_1.Optional },] },
        { type: forms_1.FormGroupDirective, decorators: [{ type: core_1.Optional },] },
    ]; };
    FieldErrorComponent.propDecorators = {
        "field": [{ type: core_1.Input },],
        "messages": [{ type: core_1.Input },],
        "fieldName": [{ type: core_1.Input },],
    };
    return FieldErrorComponent;
}());
exports.FieldErrorComponent = FieldErrorComponent;
//# sourceMappingURL=field-error.component.js.map